#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_wwan_dtr_rts, "", "");
KSYMTAB_FUNC(usb_wwan_tiocmget, "", "");
KSYMTAB_FUNC(usb_wwan_tiocmset, "", "");
KSYMTAB_FUNC(usb_wwan_write, "", "");
KSYMTAB_FUNC(usb_wwan_write_room, "", "");
KSYMTAB_FUNC(usb_wwan_chars_in_buffer, "", "");
KSYMTAB_FUNC(usb_wwan_open, "", "");
KSYMTAB_FUNC(usb_wwan_close, "", "");
KSYMTAB_FUNC(usb_wwan_port_probe, "_gpl", "");
KSYMTAB_FUNC(usb_wwan_port_remove, "", "");
KSYMTAB_FUNC(usb_wwan_suspend, "", "");
KSYMTAB_FUNC(usb_wwan_resume, "", "");

SYMBOL_CRC(usb_wwan_dtr_rts, 0xe886f38f, "");
SYMBOL_CRC(usb_wwan_tiocmget, 0xece42c28, "");
SYMBOL_CRC(usb_wwan_tiocmset, 0x7beea67b, "");
SYMBOL_CRC(usb_wwan_write, 0x6d0fa417, "");
SYMBOL_CRC(usb_wwan_write_room, 0x6422a89e, "");
SYMBOL_CRC(usb_wwan_chars_in_buffer, 0xbe704480, "");
SYMBOL_CRC(usb_wwan_open, 0x8fc40bdf, "");
SYMBOL_CRC(usb_wwan_close, 0x0d6c5d6d, "");
SYMBOL_CRC(usb_wwan_port_probe, 0x32886771, "_gpl");
SYMBOL_CRC(usb_wwan_port_remove, 0x8cf72c51, "");
SYMBOL_CRC(usb_wwan_suspend, 0xf88bad3d, "");
SYMBOL_CRC(usb_wwan_resume, 0x7df23e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42cacd39, "usb_autopm_get_interface" },
	{ 0x4be66af9, "usb_control_msg" },
	{ 0x4b83e0d0, "usb_autopm_put_interface" },
	{ 0xbd8a25f5, "usb_submit_urb" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd1005013, "_dev_err" },
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2b5dd5e, "usb_unlink_urb" },
	{ 0xa7825e28, "usb_autopm_get_interface_async" },
	{ 0x4829a47e, "memcpy" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe8a08e8, "usb_anchor_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4655d3ef, "usb_autopm_put_interface_async" },
	{ 0x3730c575, "usb_get_from_anchor" },
	{ 0x75cf38eb, "usb_kill_urb" },
	{ 0xff9134f5, "usb_free_urb" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7a7de45, "usb_serial_port_softint" },
	{ 0x5f7c1c69, "usb_alloc_urb" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0xdcb764ad, "memset" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb34bc478, "__tty_insert_flip_string_flags" },
	{ 0x696af407, "tty_flip_buffer_push" },
	{ 0x809a1445, "usb_autopm_get_interface_no_resume" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "usbserial");

